package weixinrpc

import (
	"encoding/json"
	"strconv"
	"time"
	"git.tetele.net/tgo/crypter"
	"github.com/golang/protobuf/proto"
)

func ImgSecCheck(appId, appSecret,imgUrl string, url ...string) (error) {

	conn, err := rpc_server_conn(url...)
	if err != nil {
		return err
	}
	defer conn.Close()

	data := map[string]interface{}{}
	data["app_id"] = appId
	data["app_secret"] = appSecret
	data["img_url"] = imgUrl

	data_json, err := json.Marshal(data)
	if err != nil {
		return err
	}

	encryData := crypter.DesEn(string(data_json), DES_KEY)

	now_int64 := time.Now().Unix()

	now := strconv.FormatInt(now_int64, 10)

	sign := Sign(encryData, now)

	req := &Request{
		proto.String(encryData),
		proto.String(now),
		proto.String(sign),
		nil}

	res := &Response{}

	err = conn.GetMiniappQrcode(req, res)

	if err != nil {
		return err
	}

	return nil
}

